package mock

import (
	"context"

	"github.com/confluentinc/confluent-kafka-go/v2/kafka"
)

// Admin is the mock admin
type Admin struct {
	MockFunc func(ctx context.Context, topics []kafka.TopicSpecification, options ...kafka.CreateTopicsAdminOption) ([]kafka.TopicResult, error)
}

// CreateTopics is the mock admin's version
func (a *Admin) CreateTopics(ctx context.Context, topics []kafka.TopicSpecification, options ...kafka.CreateTopicsAdminOption) ([]kafka.TopicResult, error) {
	return a.MockFunc(ctx, topics)
}
